import java.util.ArrayList;
import java.util.List;

/**
 * VM Avgs:
 *  -Xms20m -Xmx20m -XX:+HeapOnOutOfMemoryErroy
 * @author 献
 * @company Goochine-深圳古辰创智科技有限公司
 * @website www.goochine.com
 * @tel 18271840547
 * @date 2017/4/24
 */
public class TestHeapOut {
    public static void main(String[] args) {
        List list = new ArrayList();
        while (true) {
            list.add(new TestObj());
        }
    }

    static  class TestObj {

    }
}
